org.apache.ignite.internal.util.lang

## Class GridTuple3<V1,V2,V3>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridTuple3<V1,V2,V3>

All Implemented Interfaces:
  Externalizable, Serializable, Cloneable, Iterable<Object>

Direct Known Subclasses:
  GridTriple, T3

    public class GridTuple3<V1,V2,V3>
    extends Object
    implements Iterable<Object>, Externalizable, Cloneable

Convenience class representing mutable tuple of three values.

## Thread Safety

This class doesn't provide any synchronization for multi-threaded access and it is responsibility of the user of this class to provide outside synchronization, if needed.

See Also:
  `GridFunc.t3()`, `GridFunc.t(Object, Object, Object)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridTuple3()` Empty constructor required by `Externalizable`.
`GridTuple3(V1 val1, V2 val2, V3 val3)` Fully initializes this tuple.

### Method Summary

Methods
`Object` `clone()`
`boolean` `equals(Object o)`
`V1` `get1()` Gets first value.
`V2` `get2()` Gets second value.
`V3` `get3()` Gets third value.
`int` `hashCode()`
`Iterator<Object>` `iterator()`
`void` `readExternal(ObjectInput in)`
`void` `set(V1 val1, V2 val2, V3 val3)` Sets all values.
`void` `set1(V1 val1)` Sets first value.
`void` `set2(V2 val2)` Sets second value.
`void` `set3(V3 val3)` Sets third value.
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridTuple3

    public GridTuple3()

Empty constructor required by `Externalizable`.

#### GridTuple3

    public GridTuple3(@Nullable
              V1 val1,
              @Nullable
              V2 val2,
              @Nullable
              V3 val3)

Fully initializes this tuple.

Parameters:
  `val1` - First value.
  `val2` - Second value.
  `val3` - Third value.

### Method Detail

#### get1

    @Nullable
    public V1 get1()

Gets first value.

Returns:
  First value.

#### get2

    @Nullable
    public V2 get2()

Gets second value.

Returns:
  Second value.

#### get3

    @Nullable
    public V3 get3()

Gets third value.

Returns:
  Third value.

#### set1

    public void set1(@Nullable
            V1 val1)

Sets first value.

Parameters:
  `val1` - First value.

#### set2

    public void set2(@Nullable
            V2 val2)

Sets second value.

Parameters:
  `val2` - Second value.

#### set3

    public void set3(@Nullable
            V3 val3)

Sets third value.

Parameters:
  `val3` - Third value.

#### set

    public void set(@Nullable
           V1 val1,
           @Nullable
           V2 val2,
           @Nullable
           V3 val3)

Sets all values.

Parameters:
  `val1` - First value.
  `val2` - Second value.
  `val3` - Third value.

#### iterator

    public Iterator<Object> iterator()

Specified by:
  `iterator` in interface `Iterable<Object>`

#### clone

    public Object clone()

Overrides:
  `clone` in class `Object`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015